A beta API section has been added to the API reference docs. These APIs are available for you to test and leave feedback! Beta APIs are subject to change before they become generally available. GA releases of beta APIs will be announced via the changelog. Future beta APIs will be released in the beta section of the API reference docs.
ECU speed is now available in the Vehicle Stats endpoints. The types=ecuSpeedMph query parameter will provide ECU speed for all three vehicle stats endpoints. This speed measure comes directly from on-board diagnostics, as opposed to speed calculated using GPS.
New endpoints have been released for Samsara's Industrial products. These endpoints allow you to manage the industrial Assets in your organization, list Data Inputs, and collect both historical data and follow a data feed. See the Industrial API reference docs for more details.
You can now delete recurring routes via the DELETE /v1/fleet/dispatch/routes/{id} endpoint by setting apply_to_future_routes to true in the request body. For example
The new Auxiliary Input Hub accessory allows you to connect up to eight additional auxiliary inputs to the Samsara Vehicle Gateway. Data from these additional inputs are now available in all three Vehicle Stats endpoints as stat types auxInput3-auxInput10. See the Vehicle Stats reference docs for a full list of stat types.
Engine RPMs are now available in all three Vehicle Stats APIs by including types=engineRpm as a query parameter. See the Vehicle Stats reference documentation for a full list of vehicle stats.
GPS data is now available in the Vehicle Stats APIs. The types=gps query parameter will allow you to request GPS data including lat/long, heading, speed, and reverse geocoded address data. This is available for the snapshot, feed, and history vehicle stats endpoints.
A new Hours of Service endpoint is now available. This endpoint allows you to retrieve duty status logs for all drivers between a given start time and end time.